# Class Relation

Relation class This is a more common interface for the relation string

#### Hierarchy

- Relation

- Defined in common-code/relations/relation.ts:8

#####
Index

### Constructors

constructor

### Properties

path
relationString
sourceTblName
targetTblName
viewDisplayType
fixedUserRelation

### Accessors

type

### Methods

isFixedRelation

## Constructors

### constructor

- new Relation(relationString, targetTblName, viewDisplayType): Relation

- #### Parameters

  - ##### relationString: string

  - ##### targetTblName: string

  - ##### viewDisplayType: ViewDisplayType

  #### Returns Relation

  - Defined in common-code/relations/relation.ts:22

## Properties

### path

path: any[]

- Defined in common-code/relations/relation.ts:13

### relationString

relationString: string

- Defined in common-code/relations/relation.ts:9

### sourceTblName

sourceTblName: string

- Defined in common-code/relations/relation.ts:10

### targetTblName

targetTblName: string

- Defined in common-code/relations/relation.ts:11

### viewDisplayType

viewDisplayType: any

- Defined in common-code/relations/relation.ts:12

### `Static` fixedUserRelation

fixedUserRelation: string = ".users._logged_in_ref_without_rel_"

- Defined in common-code/relations/relation.ts:15

## Accessors

### type

- get type(): null | RELATION_PATH | OWN | INDEPENDENT | CHILD_LIST | ONE_TO_ONE_SHOW | PARENT_SHOW

- get the relation type

  #### Returns null | RELATION_PATH | OWN | INDEPENDENT | CHILD_LIST | ONE_TO_ONE_SHOW | PARENT_SHOW

  - Defined in common-code/relations/relation.ts:47

## Methods

### isFixedRelation

- isFixedRelation(): boolean

- #### Returns boolean

  - Defined in common-code/relations/relation.ts:67

Generated using TypeDoc